# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/4/25
import datetime
import os
# import random
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from main.recommend import Recommend


class Main:

    @classmethod
    def main(cls):
        while True:
            if 12 >= datetime.datetime.now().hour >= 8:
                # 抓取视频
                Common.logger("recommend").info("开始抓取本山祝福视频\n")
                for i in range(10):
                    Common.logger("recommend").info("正在抓取第{}页\n", i+1)
                    Recommend.get_recommend("recommend")
                # 翻页初始化
                Recommend.visitor_key = ""
                Recommend.page = 1
                # 下载/上传
                Common.logger("recommend").info("开始下载/上传\n")
                Recommend.run_download_publish("recommend", "prod")
                # 清除日志
                Common.logger("recommend").info("开始清除日志")
                Common.del_logs("recommend")
                # 休眠
                Common.logger("recommend").info("休眠 60 分钟\n")
                time.sleep(3600)
            else:
                pass


if __name__ == "__main__":
    main = Main()
    main.main()
